Description

This patch adds a Dockerfile to allow people who download Redmine to quickly launch the Redmine trial environment. If the user has

already installed Docker, you can start Redmine with just two commands after extracting the source code of Redmine.

Providing an easy way to launch Redmine with Docker can lower the hurdle to try out Redmine for people who are not familiar with

Redmine.

Currently, Docker is widely used to quickly prepare an environment to use applications. Not a few people are using Docker on a daily

basis, so I think this patch will benefit a lot of people.

History

#1 - 2020-04-19 08:15 - Go MAEDA

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#2 - 2020-05-05 05:15 - Jeremy Bailey

Thank you for this patch, Go.

If you're planning to include a sample Dockerfile, I wanted to throw out a few suggestions.

Would you consider Alpine Linux? It's getting to be the standard for Docker, due to its very small size, speed (download times of a few seconds),

and focus on simplicity and security. We have been using Redmine with Alpine in my team for a little while now, and there is an older Dockerfile

for Redmine 3.4 on Alpine that you can use as a reference at https://hub.docker.com/r/inspiredgeek/redmine-alpine/dockerfile.

If you feel strongly about sticking with a Debian-based image, maybe consider using ruby:2.6-buster instead of ruby:2.6-slim as your base

image. Debian 10 (Buster) has been out for nearly a year and is now considered the current stable distribution.

#3 - 2020-05-05 06:27 - Bernhard Rohloff

Since Redmine is available as officially maintained container image on Docker Hub and its Dockerfiles are accessible on Github,  what's the benefit

of providing our own Docker solution?

Wouldn't it be better to contribute to this existing one?

I mean how much simpler is it to build your own container image instead of just hacking 'docker pull redmine' into your console.

#4 - 2020-05-27 08:56 - Go MAEDA

- Target version changed from 4.2.0 to Candidate for next major release

#5 - 2020-09-26 09:35 - Go MAEDA

- Target version deleted (Candidate for next major release)
